From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-emulation/jrommanager/
Date: Tue, 4 Sep 2018 20:49:52 +0000 (UTC) [thread overview]
Message-ID: <1536094157.ebd3a4a9d6c5e4b4451c75b1f55aaac12ee0920b.asturm@gentoo> (raw)
commit: ebd3a4a9d6c5e4b4451c75b1f55aaac12ee0920b
Author: optyfr <opty <AT> hotmail <DOT> fr>
AuthorDate: Mon Aug 27 13:48:50 2018 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Sep 4 20:49:17 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ebd3a4a9
games-emulation/jrommanager: version bump to 1.8_p27-r1
Bug: https://bugs.gentoo.org/664692
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Closes: https://github.com/gentoo/gentoo/pull/9709
games-emulation/jrommanager/Manifest | 1 +
.../jrommanager/jrommanager-1.8_p27-r1.ebuild | 41 ++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/games-emulation/jrommanager/Manifest b/games-emulation/jrommanager/Manifest
index 158fd6ea7e8..3d6bbee60d2 100644
--- a/games-emulation/jrommanager/Manifest
+++ b/games-emulation/jrommanager/Manifest
@@ -1,2 +1,3 @@
DIST JRomManager-1.6b20.zip 9284236 BLAKE2B a874837e90bdd8ec6c55850fd0e61cabeb767f4b4eba6517a11f3de036a6fd95f7507593da7b5247824c38077b12ac52c490f5ec0e72077bd972c78810c58ebd SHA512 5d4a98989bd9eb2ba94dd50fe451308d9a628414e33cdc84814c55bf9679c3779253a8fab895e2f7922e3b837949e8065f2799707aeaab94d79a12ba73d83638
DIST JRomManager-1.7b24.zip 9293410 BLAKE2B e73456273e6b2ef960bf94f9c0b4f241829474187fbe7205f98f1bf03abfc3e5eeed4803303ede6e937168daf9eed0ea47499addc00eb153269e9228f4bded61 SHA512 e10ad63348d9eba20175b5d620b32876730900abbe2d8bf9add1ba58f2b7f1d54fbd5a94ec937ab8b94f69c29979302630f2e81cba8d10176b83ec65ba55333f
+DIST JRomManager-1.8b27.zip 9382160 BLAKE2B a7508d7beef0939c99c18688a07f4dd41e5bef00c8c27d2b3cc2e46089c99a0a1b90a8ff67050c3f4ea223d48c5b39615a2457a369dbd8484344d55244e79016 SHA512 a3688760565ef3a6514b433eeba5850352d5159ab27243053ebdf2280f8edd0d5cfb014859925c1a9c74bc873dfd18a871789a5d13a9a34a2582de89747b1561
diff --git a/games-emulation/jrommanager/jrommanager-1.8_p27-r1.ebuild b/games-emulation/jrommanager/jrommanager-1.8_p27-r1.ebuild
new file mode 100644
index 00000000000..5a3f091d014
--- /dev/null
+++ b/games-emulation/jrommanager/jrommanager-1.8_p27-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN=JRomManager
+MY_PV=${PV/_p/b}
+MY_P="${MY_PN}-${MY_PV}"
+
+inherit desktop
+
+DESCRIPTION="A Mame and Retrogaming Rom Manager, Java alternative to ClrMamePro"
+HOMEPAGE="https://github.com/optyfr/JRomManager"
+SRC_URI="https://github.com/optyfr/${MY_PN}/releases/download/${MY_PV}/${MY_P}.zip"
+QA_PREBUILT="*"
+
+S="${WORKDIR}"
+
+LICENSE="GPL-2 GPL-2-with-classpath-exception BSD-2 MIT Apache-2.0 LGPL-2.1 unRAR"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=">=virtual/jre-1.8"
+DEPEND="${DEPEND}
+ app-arch/unzip"
+
+src_prepare() {
+ default
+
+ sed -e "/cd.*/s:.*:cd \"${EROOT}/usr/share/${PN}\" || exit:" -i *.sh || die "sed failed!"
+ unzip -j ${MY_PN}.jar "jrm/resources/rom.png" || die
+}
+
+src_install() {
+ insinto "/usr/share/${PN}"
+ doins *.jar
+ doins -r lib
+ newbin "${MY_PN}-multi.sh" "${PN}"
+ newicon "rom.png" "${PN}.png"
+ make_desktop_entry "${PN}" '' '' 'Utility'
+}
next reply other threads:[~2018-09-04 20:49 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-09-04 20:49 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-03-10 2:17 [gentoo-commits] repo/gentoo:master commit in: games-emulation/jrommanager/ Sam James
2021-03-10 1:24 Sam James
2021-03-10 1:24 Sam James
2021-03-10 1:24 Sam James
2019-10-11 20:06 Michał Górny
2019-10-11 20:06 Michał Górny
2018-08-15 20:23 Michał Górny
2018-07-28 11:32 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1536094157.ebd3a4a9d6c5e4b4451c75b1f55aaac12ee0920b.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox